timezone_location_get
timezone_name_get
Date/Time Functions
PHP Manual

# timezone_name_from_abbr

(PHP 5 >= 5.1.3)

timezone_name_from_abbr — Returns the timezone name from abbreviation

### Description

string timezone_name_from_abbr ( string `$abbr` [, int `$gmtOffset` = -1 [, int `$isdst` = -1 ]] )

### Parameters

`abbr`

  Time zone abbreviation.

`gmtOffset`

  Offset from GMT in seconds. Defaults to -1 which means that first found time zone corresponding to `abbr` is returned. Otherwise exact offset is searched and only if not found then the first time zone with any offset is returned.

`isdst`

  Daylight saving time indicator. If `abbr` doesn't exist then the time zone is searched solely by `offset` and `isdst`.

### Return Values

Returns time zone name on success or `FALSE` on failure.

### Examples

Example #1 A timezone_name_from_abbr() example

`<?php
echo timezone_name_from_abbr("CET") . "\n";
echo timezone_name_from_abbr("", 3600, 0) . "\n";
?>`

The above example will output something similar to:

    Europe/Berlin
    Europe/Paris

### See Also

- timezone_abbreviations_list() - Alias of DateTimeZone::listAbbreviations

timezone_location_get
timezone_name_get
Date/Time Functions
PHP Manual